LibreOffice LibreOffice 25.2 SDK API Reference

Public Member Functions | List of all members
XAlterQuery Interface Referencepublished

is used to alter the command of a query. More...

`import"XAlterQuery.idl";`

Inheritance diagram for XAlterQuery:

## Public Member Functions
void | alterCommand ([in]string command, [in]boolean useEscapeProcessing) raises (com::sun::star::sdbc::SQLException)
| is intended to alter the command of a query object. More...
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object. More...
void | acquire ()
| increases the reference counter by one. More...
void | release ()
| decreases the reference counter by one. More...

## Detailed Description

is used to alter the command of a query.

## Member Function Documentation

## ◆ alterCommand()

void alterCommand | ( | [in] string | command,
|  | [in] boolean | useEscapeProcessing
| ) |  |
raises | ( | com::sun::star::sdbc::SQLException
| ) |  |

is intended to alter the command of a query object.

Parameters

  command | the SQL statement
  useEscapeProcessing | `TRUE` when escape processing should be used

Exceptions

  com::sun::star::sdbc::SQLException | if a database access error occurs.

The documentation for this interface was generated from the following file:

- com/sun/star/sdb/XAlterQuery.idl